org.apache.fop.render.ps

## Class PSBridgeContext

- java.lang.Object
- - org.apache.batik.bridge.BridgeContext
  - - org.apache.fop.svg.AbstractFOPBridgeContext
    - - org.apache.fop.render.ps.PSBridgeContext

- All Implemented Interfaces:
    org.apache.batik.bridge.ErrorConstants, org.apache.batik.css.engine.CSSContext

      public class PSBridgeContext
      extends AbstractFOPBridgeContext

  BridgeContext which registers the custom bridges for PostScript output.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class org.apache.batik.bridge.BridgeContext

      `org.apache.batik.bridge.BridgeContext.AnimatedAttrListener, org.apache.batik.bridge.BridgeContext.CSSEngineUserAgentWrapper, org.apache.batik.bridge.BridgeContext.CSSPropertiesChangedListener, org.apache.batik.bridge.BridgeContext.DOMAttrModifiedEventListener, org.apache.batik.bridge.BridgeContext.DOMCharacterDataModifiedEventListener, org.apache.batik.bridge.BridgeContext.DOMMouseOutEventListener, org.apache.batik.bridge.BridgeContext.DOMMouseOverEventListener, org.apache.batik.bridge.BridgeContext.DOMNodeInsertedEventListener, org.apache.batik.bridge.BridgeContext.DOMNodeRemovedEventListener, org.apache.batik.bridge.BridgeContext.EventListenerMememto, org.apache.batik.bridge.BridgeContext.SoftReferenceMememto`

  - ### Field Summary

    - ### Fields inherited from class org.apache.fop.svg.AbstractFOPBridgeContext

      `fontInfo, imageManager, imageSessionContext, linkTransform`

    - ### Fields inherited from class org.apache.batik.bridge.BridgeContext

      `animatedAttributeListener, animationEngine, animationLimitingAmount, animationLimitingMode, childContexts, cssPropertiesChangedListener, cursorManager, defaultBridge, document, documentLoader, documentSize, domAttrModifiedEventListener, domCharacterDataModifiedEventListener, domNodeInsertedEventListener, domNodeRemovedEventListener, DYNAMIC, dynamicStatus, elementDataMap, elementNodeMap, eventListenerSet, extensions, focusManager, globalExtensions, gvtBuilder, INTERACTIVE, interpreterMap, interpreterPool, isSVG12, namespaceURIMap, nodeElementMap, primaryContext, reservedNamespaceSet, STATIC, textPainter, updateManager, userAgent, viewportMap, viewportStack, xblManager`

    - ### Fields inherited from interface org.apache.batik.bridge.ErrorConstants

      `ERR_ATTRIBUTE_MISSING, ERR_ATTRIBUTE_VALUE_MALFORMED, ERR_CSS_LENGTH_NEGATIVE, ERR_CSS_URI_BAD_TARGET, ERR_LENGTH_NEGATIVE, ERR_URI_BAD_TARGET, ERR_URI_IMAGE_BROKEN, ERR_URI_IMAGE_INVALID, ERR_URI_IO, ERR_URI_MALFORMED, ERR_URI_REFERENCE_A_DOCUMENT, ERR_URI_UNSECURE, ERR_XLINK_HREF_CIRCULAR_DEPENDENCIES, URI_IMAGE_ERROR`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `PSBridgeContext(org.apache.batik.bridge.UserAgent userAgent, org.apache.batik.bridge.DocumentLoader documentLoader, FontInfo fontInfo, org.apache.xmlgraphics.image.loader.ImageManager imageManager, org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext, java.awt.geom.AffineTransform linkTransform)` Constructs a new bridge context.
    `PSBridgeContext(org.apache.batik.bridge.UserAgent userAgent, FontInfo fontInfo, org.apache.xmlgraphics.image.loader.ImageManager imageManager, org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext)` Constructs a new bridge context.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.apache.batik.bridge.BridgeContext` | `createBridgeContext()`
    `void` | `registerSVGBridges()`

    - ### Methods inherited from class org.apache.fop.svg.AbstractFOPBridgeContext

      `getImageManager, getImageSessionContext, putElementBridgeConditional`

    - ### Methods inherited from class org.apache.batik.bridge.BridgeContext

      `addDOMListeners, addGVTListener, addUIEventListeners, bind, checkInteractiveElement, checkInteractiveElement, checkLoadExternalResource, clearChildContexts, closeViewport, createBridgeContext, createSubBridgeContext, createURIResolver, dispose, finalize, getAnimationEngine, getBlockHeight, getBlockWidth, getBolderFontWeight, getBridge, getBridge, getBridgeExtensions, getBridgeUpdateHandler, getChildContexts, getCSSEngineForElement, getCursorManager, getDefaultFontFamily, getDocument, getDocumentBridge, getDocumentLoader, getDocumentSize, getElement, getElementData, getFocusManager, getFontFamilyMap, getFontFamilyResolver, getGlobalBridgeExtensions, getGraphicsNode, getGVTBuilder, getInterpreter, getInterpreterPool, getLighterFontWeight, getMediumFontSize, getPixelToMillimeter, getPixelUnitToMillimeter, getPrimaryBridgeContext, getReferencedElement, getReferencedNode, getSVGContext, getSystemColor, getTextPainter, getUpdateManager, getUserAgent, getViewport, hasGraphicsNodeBridge, initializeDocument, isDynamic, isDynamicDocument, isInteractive, isInteractiveDocument, isSVG12, openViewport, putBridge, putBridge, putReservedNamespaceURI, removeBridge, removeDOMListeners, removeReservedNamespaceURI, removeUIEventListeners, removeViewport, setAnimationLimitingCPU, setAnimationLimitingFPS, setAnimationLimitingMode, setAnimationLimitingNone, setDefaultBridge, setDocument, setDocumentLoader, setDocumentSize, setDynamic, setDynamicState, setElementData, setFontFamilyMap, setGVTBuilder, setInteractive, setInterpreterPool, setTextPainter, setUpdateManager, setUpdateManager, setUserAgent, setXBLManager, storeEventListener, storeEventListenerNS, unbind`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### PSBridgeContext

          public PSBridgeContext(org.apache.batik.bridge.UserAgent userAgent,
                                 org.apache.batik.bridge.DocumentLoader documentLoader,
                                 FontInfo fontInfo,
                                 org.apache.xmlgraphics.image.loader.ImageManager imageManager,
                                 org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext,
                                 java.awt.geom.AffineTransform linkTransform)

      Constructs a new bridge context.
      Parameters:
        `userAgent` - the user agent
        `documentLoader` - the Document Loader to use for referenced documents.
        `fontInfo` - the font list for the text painter, may be null in which case text is painted as shapes
        `imageManager` - an image manager
        `imageSessionContext` - an image session context
        `linkTransform` - AffineTransform to properly place links, may be null

    - #### PSBridgeContext

          public PSBridgeContext(org.apache.batik.bridge.UserAgent userAgent,
                                 FontInfo fontInfo,
                                 org.apache.xmlgraphics.image.loader.ImageManager imageManager,
                                 org.apache.xmlgraphics.image.loader.ImageSessionContext imageSessionContext)

      Constructs a new bridge context.
      Parameters:
        `userAgent` - the user agent
        `fontInfo` - the font list for the text painter, may be null in which case text is painted as shapes
        `imageManager` - an image manager
        `imageSessionContext` - an image session context

  - ### Method Detail

    - #### registerSVGBridges

          public void registerSVGBridges()

      Overrides:
        `registerSVGBridges` in class `org.apache.batik.bridge.BridgeContext`

    - #### createBridgeContext

          public org.apache.batik.bridge.BridgeContext createBridgeContext()

      Specified by:
        `createBridgeContext` in class `AbstractFOPBridgeContext`
      Returns:
        a bridge context

Copyright 1999-2022 The Apache Software Foundation. All Rights Reserved.